// robowaifu access control
// ========================
// -The software testbed for devising access control systems for robowaifus

// -Filename: Directive.cpp
// -The definitions of the Directive class

#include "Directive.hpp"

//------------------------------------------------------------------------------
Directive::Directive(const Human& human, const Sequence& sequence)
    : human{human}, sequence{sequence} {
  //
}

//------------------------------------------------------------------------------
auto Directive::who() const noexcept -> decltype(Human{}) {
  return human;
}

//------------------------------------------------------------------------------
auto Directive::what() const noexcept -> decltype(Sequence{}) {
  return sequence;
}

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
