// robowaifu access control
// ========================
// -The software testbed for devising access control systems for robowaifus

// -Filename: Info.cpp
// -The definitions of the Info class

#include "Info.hpp"

//------------------------------------------------------------------------------
Info::Info(std::string const& data, Human const& owner, Permit const& permits)
    : data{data}, owner{owner}, permits{permits} {
  //
}

//------------------------------------------------------------------------------
auto Info::info() const noexcept -> decltype(std::string{}) {
  return data;
}

//------------------------------------------------------------------------------
auto Info::allows() const noexcept -> decltype(Permit{}) {
  return permits;
}

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
