// robowaifu access control
// ========================
// -The software testbed for devising access control systems for robowaifus

// -Filename: Inquiry.cpp
// -The definitions of the Inquiry class

#include "Inquiry.hpp"

//------------------------------------------------------------------------------
Inquiry::Inquiry(Human const& human, Info const& info)
    : human{human}, info{info} {
  //
}

//------------------------------------------------------------------------------
auto Inquiry::who() const noexcept -> decltype(Human{}) {
  return human;
}

//------------------------------------------------------------------------------
auto Inquiry::what() const noexcept -> decltype(Info{}) {
  return info;
}

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
